OvernightLeg Class Reference

helper class building a sequence of overnight coupons More...

`#include <ql/cashflows/overnightindexedcoupon.hpp>`

## Public Member Functions

| OvernightLeg (const Schedule &schedule, const ext::shared_ptr< OvernightIndex > &overnightIndex)
OvernightLeg & | withNotionals (Real notional)
OvernightLeg & | withNotionals (const std::vector< Real > &notionals)
OvernightLeg & | withPaymentDayCounter (const DayCounter &)
OvernightLeg & | withPaymentAdjustment (BusinessDayConvention)
OvernightLeg & | withPaymentCalendar (const Calendar &)
OvernightLeg & | withPaymentLag (Natural lag)
OvernightLeg & | withGearings (Real gearing)
OvernightLeg & | withGearings (const std::vector< Real > &gearings)
OvernightLeg & | withSpreads (Spread spread)
OvernightLeg & | withSpreads (const std::vector< Spread > &spreads)
OvernightLeg & | withTelescopicValueDates (bool telescopicValueDates)
| operator Leg () const

## Detailed Description

helper class building a sequence of overnight coupons